.overlay-image {
	position: fixed;
	width: 0;
	height: 0;
	top: 0;
	left: 0;
	overflow: auto;
	background-color: rgba(0,0,0,0);
	z-index: 10005;
    transition: all 1s;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
	text-align: center;
	padding: 15px 5px;
	overflow-x: hidden;
	overflow-y: hidden;
}

.overlay-image:target {
	background-color: rgba(0,0,0,0.8);
	width: 100%;
	height:auto;
	bottom: 0;
	right: 0;
	overflow-y: scroll;
}

.overlay-image img {
  margin-top: 75px;
  margin-left: auto;
  margin-right: auto;
  max-width: 80%;
  height: auto;
  overflow-y: scroll;
  display: block;
}

.overlay-image:target img {
	animation: zoomandfade 2s;
}

.overlay-image a {
	position: absolute;
	right: 25px;
}

.overlay-image #image-target {
  margin-top: 75px;
  max-width: 80%;
  height: auto;
  overflow-y: scroll;
}

.overlay-image:target #image-target {
	animation: zoomandfade 2s;
}